org.apache.lucene.index

## Class ReaderUtil

- java.lang.Object
- - org.apache.lucene.index.ReaderUtil

-     public final class ReaderUtil
      extends Object

  Common util methods for dealing with `IndexReader`s and `IndexReaderContext`s.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexReaderContext` | `getTopLevelContext(IndexReaderContext context)` Walks up the reader tree and return the given context's top level reader context, or in other words the reader tree's root context.
    `static int` | `subIndex(int n, int[] docStarts)` Returns index of the searcher/reader for document `n` in the array used to construct this searcher/reader.
    `static int` | `subIndex(int n, List<LeafReaderContext> leaves)` Returns index of the searcher/reader for document `n` in the array used to construct this searcher/reader.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTopLevelContext

          public static IndexReaderContext getTopLevelContext(IndexReaderContext context)

      Walks up the reader tree and return the given context's top level reader context, or in other words the reader tree's root context.

    - #### subIndex

          public static int subIndex(int n,
                                     int[] docStarts)

      Returns index of the searcher/reader for document `n` in the array used to construct this searcher/reader.

    - #### subIndex

          public static int subIndex(int n,
                                     List<LeafReaderContext> leaves)

      Returns index of the searcher/reader for document `n` in the array used to construct this searcher/reader.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.